Subject: [Bug 215217] Kernel fails to boot at an early stage when built with GCC_PLUGIN_LATENT_ENTROPY=y (PowerMac G4 3,6)

From: [email-masked]
Date: Sun, 05 Dec 2021 17:48:18 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=215217

--- Comment #3 from Christophe Leroy ([email-masked]) ---
I tried your config under QEMU and it works. So I don't know how I could help.

>> =============================================================
>> OpenBIOS 1.1 [Jul 22 2021 22:33]
>> Configuration device id QEMU version 1 machine id 1
>> CPUs: 1
>> Memory: 2048M
>> UUID: 00000000-0000-0000-0000-000000000000
>> CPU type PowerPC,G4
milliseconds isn't unique.
Welcome to OpenBIOS v1.1 built on Jul 22 2021 22:33
>> [ppc] Kernel already loaded (0x01000000 + 0x00f39460) (initrd 0x0203a000 +
>> 0x001d1a3b)
>> [ppc] Kernel command line: noreboot
>> switching to new context:
OF stdout device is: /pci@f2000000/mac-io@c/escc@13000/ch-a@13020
Preparing to boot Linux version 5.16.0-rc3-PowerMacG4+
([email-masked]) (powerpc64-linux-gcc (GCC) 11.1.0, GNU ld
(GNU Binutils) 2.36.1) #669 SMP Sun Dec 5 18:41:30 CET 2021
Detected machine type: 00000400
command line:  
memory layout at init:
  memory_limit : 00000000 (16 MB aligned)
  alloc_bottom : 01f3e000
  alloc_top    : 30000000
  alloc_top_hi : 80000000
  rmo_top      : 30000000
  ram_top      : 80000000
found display   : /pci@f2000000/QEMU,VGA@e, opening... done
copying OF device tree...
Building dt strings...
Building dt structure...
Device tree strings 0x01f3f000 -> 0x01f3e0a4
Device tree struct  0x01f40000 -> 0x7fde7ef8
Quiescing Open Firmware ...
Booting Linux via __start() @ 0x01000000 ...
Hello World !
Total memory = 2048MB; using 4096kB for hash table
Activating Kernel Userspace Execution Prevention
Activating Kernel Userspace Access Protection
Linux version 5.16.0-rc3-PowerMacG4+ ([email-masked])
(powerpc64-linux-gcc (GCC) 11.1.0, GNU ld (GNU Binutils) 2.36.1) #669 SMP Sun
Dec 5 18:41:30 CET 2021
KASAN init done
ioremap() called early from pmac_feature_init+0x248/0xfe4. Use early_ioremap()
instead
Found UniNorth memory controller & host bridge @ 0xf8000000 revision: 0x07
Mapped at 0xf53bf000
ioremap() called early from probe_one_macio+0x228/0x414. Use early_ioremap()
instead
Found a Keylargo mac-io controller, rev: 0, mapped at 0x(ptrval)
PowerMac motherboard: PowerMac G4 AGP Graphics
ioremap() called early from udbg_scc_init+0x1dc/0x380. Use early_ioremap()
instead
boot stdout isn't a display !
Using PowerMac machine description
printk: bootconsole [udbg0] enabled
CPU maps initialized for 1 thread per core

-- 
You may reply to this email to add a comment.

You are receiving this mail because:
You are watching the assignee of the bug.